# $Revision: 1.24 $, $Date: 2002/09/09 22:11:06 $
Summary:	a professional CAD system
Summary(pl):	Profesjonalny program CAD
Summary(pt_BR):	Um sistema de CAD 2D livre (Open Source)
Name:		qcad
Version:	1.5.1
Release:	2
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	http://prdownloads.sourceforge.net/qcad/%{name}-%{version}-src.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch1:		%{name}-Makefile.patch
Patch2: 	%{name}-lib.patch
Icon:		qcad.xpm
URL:		http://www.qcad.org/
BuildRequires:	XFree86-devel
BuildRequires:	qt-devel >= 3.0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
QCad is a professional CAD System. With QCad you can easily construct
and change drawings with ISO-text and many other features and save
them as DXF-files. These DXF-files are the interface to many
CAD-systems such as AutoCAD(c) and many others.

%description -l pl
QCad jest profesjonalnym programem CAD. QCad-em moesz prosto
konstruowa i zmienia rysunki i zapisywa je w formacie DXF, ktry
jest akceptowany przez wiele programw CAD w tym program AutoCAD(c).

%description -l pt_BR
O QCad  um sistema profissional de CAD. Com ele voc pode facilmente
construir e mudar desenhos com textos ISO e muitas outras
caractersticas e salv-los como arquivos DXF. Estes arquivos DXF so
a interface para muitos outros sistemas de CAD, como o AutoCAD(c).

%prep
%setup -q -n %{name}-%{version}-src
%patch1 -p1
%patch2 -p1

%build
QTDIR="/usr/X11R6"
export QTDIR
%{__make} \
	INCPATH="-I/usr/X11R6/include -I/usr/X11R6/include/qt" \
	QMAKE_CONF="%{_datadir}/qt/mkspecs/linux-g++/qmake.conf" \
	LDFLAGS="%{rpmldflags}" qcad

#	CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions %{!?debug:-DQT_NO_DEBUG}" \
%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/qcad,%{_datadir}/qcad} \
	$RPM_BUILD_ROOT{%{_applnkdir}/Graphics,%{_pixmapsdir}}

install qcad $RPM_BUILD_ROOT%{_bindir}
cp -pR {examples,fonts,hatches,libraries,messages,xpm} $RPM_BUILD_ROOT%{_datadir}/qcad
ln -sf %{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/qcad/doc

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Graphics
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

cd $RPM_BUILD_ROOT
rm -rf `find . -name CVS`
cd -
rm -rf doc/en/{CVS,img/CVS}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/* AUTHORS README MANIFEST changes-* TODO
%attr(755,root,root) %{_bindir}/qcad
%{_datadir}/qcad
%{_applnkdir}/Graphics/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: qcad.spec,v $
Revision 1.24  2002/09/09 22:11:06  adgor
- "CVS" entries removed from package
- Release 2

Revision 1.23  2002/09/08 16:44:33  blues
- 1.5.1 - removed outdated patches (included), fixed Makefile patch.
- commented out CXXFLAGS - causes build to loop.
STBR

Revision 1.22  2002/08/31 12:05:58  aflinta
- added lib.patch (prevents from linking plugins)
- release 4

Revision 1.21  2002/08/29 21:45:27  kloczek
- release 3.

Revision 1.20  2002/08/29 20:35:44  blues
- require proper qt-devel

Revision 1.19  2002/07/27 16:33:37  blues
- release 2
- port for KDE3 - patch from MDK
- fixed patches

Revision 1.18  2002/07/14 14:56:04  blues
- 1.4.16 (eg. latin2 font is added)
- new Source URL (sf is crazy...)
STBR

Revision 1.17  2002/05/21 00:18:09  kloczek
- updated to 1.4.12,
- merge translations from Conectiva,
- use new %doc packing infrastructure.

Revision 1.16  2002/02/25 01:53:15  kloczek
- release 3.

Revision 1.15  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:14:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/05/02 16:29:12  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.12  2001/04/18 23:17:05  zagrodzki
- patch0 _is_ neccessary
- s/CXXFLAGS/CFLAGS

Revision 1.11  2001/04/09 08:16:02  cieciwa
- commented Patch0-  not needed ??
- added Makefile patch.

Revision 1.10  2001/04/09 07:21:55  cieciwa
- updated to version 1.4.7.

Revision 1.9  2001/03/08 05:58:40  kloczek
- added package icons and desktop file for qcad,
- few minor changes.

Revision 1.8  2001/03/07 17:02:16  kloczek
- few cosmetics and added pl %description.

Revision 1.7  2001/03/07 16:35:04  wiget
version 1.4.6; build requires fixed tmake; add pl.po.patch (fix polish translation); kloczek, make -cosmetics- and send to builders

Revision 1.6  2000/09/15 16:05:59  jajcus
- Version: 1.4.4
- adapterized
- fixes for FHS compatibility
- various other fixes

Revision 1.5  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.2  2000/02/28 13:09:41  cieciwa
- rewrite spec for PLD,
- update to version 1.4.0,
- NFY.

* Mon Nov  8 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- First spec file for Mandrake distribution.
